MsWksTable Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
MsWksTable Class Reference

the main class to read the table ( or a chart ) of a Microsoft Works file More...

`#include <MsWksTable.hxx>`

## Public Member Functions
| MsWksTable (MWAWParser &parser, MsWksDocument &zone, MsWksGraph &graph)
| constructor More...
virtual | ~MsWksTable ()
| destructor More...
int | version () const
| returns the file version More...
bool | readTable (int numCol, int numRow, int zoneId, MsWksGraph::Style const &style)
| try to read a table zone More...
bool | sendTable (int zoneId)
| try to a table zone More...
bool | readChart (int chartId, MsWksGraph::Style const &style)
| try to read a chart zone More...
void | setChartZoneId (int chartId, int zoneId)
| fix the correspondance between a chart and the zone id More...
bool | sendChart (int chartId)
| try to a chart zone More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
std::shared_ptr< MsWksTableInternal::State > | m_state
| the state More...
MWAWParser * | m_mainParser
| the main parser; More...
MsWksGraph * | m_graphParser
| the graph parser; More...
MsWksDocument & | m_zone
| the input zone More...

## Private Member Functions
| MsWksTable (MsWksTable const &orig)=delete
MsWksTable & | operator= (MsWksTable const &orig)=delete

## Friends
class | MsWksGraph

## Detailed Description

the main class to read the table ( or a chart ) of a Microsoft Works file

## Constructor & Destructor Documentation

## ◆ MsWksTable() [1/2]

MsWksTable::MsWksTable | ( | MWAWParser & | parser,
|  | MsWksDocument & | zone,
|  | MsWksGraph & | graph
| ) |  |

constructor

## ◆ ~MsWksTable()

MsWksTable::~MsWksTable | ( |  | ) |
| virtual

destructor

## ◆ MsWksTable() [2/2]

MsWksTable::MsWksTable | ( | MsWksTable const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

MsWksTable& MsWksTable::operator= | ( | MsWksTable const & | orig | ) |
| privatedelete

## ◆ readChart()

bool MsWksTable::readChart | ( | int | chartId,
|  | MsWksGraph::Style const & | style
| ) |  |

try to read a chart zone

## ◆ readTable()

bool MsWksTable::readTable | ( | int | numCol,
|  | int | numRow,
|  | int | zoneId,
|  | MsWksGraph::Style const & | style
| ) |  |

try to read a table zone

## ◆ sendChart()

bool MsWksTable::sendChart | ( | int | chartId | ) |

try to a chart zone

## ◆ sendTable()

bool MsWksTable::sendTable | ( | int | zoneId | ) |

try to a table zone

## ◆ setChartZoneId()

void MsWksTable::setChartZoneId | ( | int | chartId,
|  | int | zoneId
| ) |  |

fix the correspondance between a chart and the zone id

## ◆ version()

int MsWksTable::version | ( |  | ) | const

returns the file version

Referenced by readChart(), and readTable().

## Friends And Related Function Documentation

## ◆ MsWksGraph

friend class MsWksGraph
| friend

## Member Data Documentation

## ◆ m_graphParser

MsWksGraph* MsWksTable::m_graphParser
| protected

the graph parser;

Referenced by readChart(), and sendChart().

## ◆ m_mainParser

MWAWParser* MsWksTable::m_mainParser
| protected

the main parser;

## ◆ m_parserState

MWAWParserStatePtr MsWksTable::m_parserState
| protected

the parser state

Referenced by readChart(), readTable(), sendChart(), sendTable(), and version().

## ◆ m_state

std::shared_ptr<MsWksTableInternal::State> MsWksTable::m_state
| protected

the state

Referenced by readChart(), readTable(), sendChart(), sendTable(), setChartZoneId(), and version().

## ◆ m_zone

MsWksDocument& MsWksTable::m_zone
| protected

the input zone

Referenced by readChart(), readTable(), and sendChart().

The documentation for this class was generated from the following files:

- MsWksTable.hxx
- MsWksTable.cxx